库存报表 - 本地仓 - 历史报表 - 明细
POST
/erp/sc/routing/inventoryLog/WareHouseReport/getLocalWareHouseDetailList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryLog/WareHouseReport/getLocalWareHouseDetailList | HTTPS | POST | 1 |
请求参数
sys_widintegerstart_datestring必填end_datestring必填offsetinteger必填lengthinteger必填请求示例
{
"start_date": "2022-01-01",
"end_date": "2022-08-05",
"offset": 0,
"length": 15,
"sys_wid": "1"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
spustring必填spu_namestring必填skustring必填product_namestring必填fnskustring必填sku_attributestring必填seller_namestring必填sys_widinteger必填ware_house_namestring必填category1string必填category2string必填category3string必填brandstring必填attribute_textstring必填product_typestring必填day_early_countnumber必填day_early_costnumber必填purchase_in_countnumber必填purchase_in_costnumber必填allocation_in_countnumber必填allocation_in_costnumber必填return_goods_in_countnumber必填return_goods_in_costnumber必填other_in_countnumber必填other_in_costnumber必填inventory_surplus_in_countnumber必填inventory_surplus_in_costnumber必填adjustment_countnumber必填adjustment_costnumber必填fba_out_countnumber必填fba_out_costnumber必填fbm_out_countnumber必填fbm_out_costnumber必填allocation_out_countnumber必填allocation_out_costnumber必填purchase_return_countnumber必填purchase_return_costnumber必填other_out_countnumber必填other_out_costnumber必填inventory_deficit_out_countnumber必填inventory_deficit_out_costnumber必填wfs_out_countnumber必填wfs_out_costnumber必填allocation_in_transit_countnumber必填allocation_in_transit_costnumber必填day_end_countnumber必填day_end_costnumber必填rotation_rate_countnumber必填rotation_rate_costnumber必填rotation_day_countnumber必填rotation_day_costnumber必填sales_ratio_countnumber必填sales_ratio_costnumber必填cost_change_costnumber必填sales_ratenumber必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details":[],
"request_id": "BDF6F403-1998-7E7F-62C2-369C15FEE14D",
"response_time": "2022-12-21 18:44:54"
"data": [{
"spu_name": "",
"sku": "1544220",
"product_name": "kmkm",
"fnsku": "",
"sku_attribute": "",
"seller_name": "",
"category1": "",
"category2": "",
"category3": "",
"brand": "",
"attribute_text": "可售",
"product_type": "普通商品",
"sys_wid": "3879",
"ware_house_name": "dabing-test",
"day_early_count": 1,
"day_early_cost": "",
"purchase_in_count": 0,
"purchase_in_cost": "",
"allocation_in_count": 0,
"allocation_in_cost": "",
"return_goods_in_count": 0,
"return_goods_in_cost": "",
"other_in_count": 0,
"other_in_cost": "",
"inventory_surplus_in_count": 0,
"inventory_surplus_in_cost": "",
"adjustment_count": 0,
"adjustment_cost": "",
"fba_out_count": 0,
"fba_out_cost": "",
"fbm_out_count": 0,
"fbm_out_cost": "",
"allocation_out_count": 0,
"allocation_out_cost": "",
"purchase_return_count": 0,
"purchase_return_cost": "",
"other_out_count": 0,
"other_out_cost": "",
"inventory_deficit_out_count": 0,
"inventory_deficit_out_cost": "",
"wfs_out_count": 0,
"wfs_out_cost": "",
"allocation_in_transit_count": 0,
"allocation_in_transit_cost": "",
"day_end_count": 1,
"day_end_cost": "",
"rotation_rate_count": "0.0000",
"rotation_rate_cost": "",
"rotation_day_count": 0,
"rotation_day_cost": "",
"sales_ratio_count": 0,
"sales_ratio_cost": "",
"cost_change_cost": 0
}],
"total": 1
}